/*
 * Copyright (c) 2014 Max Gttlicher
 *
 * This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.
 * 
 * Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:
 * 
 * The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
 * Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
 * This notice may not be removed or altered from any source distribution.
 */

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTabbedPane;
import javax.swing.JTextPane;
import javax.swing.UIManager;
import javax.swing.UIManager.LookAndFeelInfo;


public class TIImageTools extends JFrame {
	/**
	 * 
	 */
	private static final long serialVersionUID = 711064274687572483L;
	private final JTabbedPane tabbedPane = new JTabbedPane(JTabbedPane.TOP);
	private final JScrollPane scrollPane = new JScrollPane();
	private final JTextPane textPane = new JTextPane();
	//private final JSplitPane splitPane = new JSplitPane(JSplitPane.VERTICAL_SPLIT, tabbedPane, scrollPane);

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		
		try {
		    for (LookAndFeelInfo info : UIManager.getInstalledLookAndFeels()) {
		        if ("Nimbus".equals(info.getName())) {
		            UIManager.setLookAndFeel(info.getClassName());
		            break;
		        }
		    }
		} catch (Exception e) {
		    // If Nimbus is not available, you can set the GUI to another look and feel.
		}

		
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					TIImageTools frame = new TIImageTools();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public TIImageTools() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 512, 397);
		//splitPane.setOneTouchExpandable(true);
		//splitPane.setOrientation(JSplitPane.VERTICAL_SPLIT);
		setContentPane(tabbedPane);

		scrollPane.setViewportView(textPane);
		
				JPanel panelExport = new ExportPanel();
				tabbedPane.addTab("Export", null, panelExport, null);

		JPanel panelImport = new ImportPanel();
		tabbedPane.addTab("Import", null, panelImport, null);

		CompressPanel panelCompress = new CompressPanel();
		tabbedPane.addTab("Improve", null, panelCompress, null);
		//splitPane.setDividerLocation(250);


	}

}
